import { Identity } from "../../Identity";
interface TranslatableItemProps {
    itemId: string;
    value: string;
    context?: Record<string, any>;
    modifiedOn: Date;
    modifiedBy: Identity;
}
interface UpdateProps {
    value: string;
    context?: Record<string, any>;
    modifiedBy: Identity;
    modifiedOn?: Date;
}
export declare class TranslatableItem {
    private readonly props;
    private constructor();
    get itemId(): string;
    get value(): string;
    get context(): Record<string, any> | undefined;
    get modifiedOn(): Date;
    get modifiedBy(): Identity;
    static create(props: TranslatableItemProps): TranslatableItem;
    update(props: UpdateProps): TranslatableItem;
}
export {};
